pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey3 Class Reference

`#include <pcl/surface/3rdparty/poisson4/octree_poisson.h>`

## Public Member Functions

| ConstNeighborKey3 (void)
| ~ConstNeighborKey3 (void)
void | set (int depth)
ConstNeighbors3 & | getNeighbors (const OctNode *node)
ConstNeighbors3 & | getNeighbors (const OctNode *node, int minDepth)

## Public Attributes

ConstNeighbors3 * | neighbors

## Detailed Description

### template<class NodeData, class Real = float>
class pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey3

Definition at line 222 of file octree_poisson.h.

## Constructor & Destructor Documentation

template<class NodeData , class Real >

pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey3::ConstNeighborKey3 | ( | void |  | ) |

Definition at line 1475 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::Neighbors3::neighbors.

template<class NodeData , class Real >

pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey3::~ConstNeighborKey3 | ( | void |  | ) |

Definition at line 1477 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::Neighbors3::neighbors.

## Member Function Documentation

template<class NodeData, class Real = float>

ConstNeighbors3& pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey3::getNeighbors | ( | const OctNode * | node | ) |

Referenced by pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey3::set().

template<class NodeData, class Real = float>

ConstNeighbors3& pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey3::getNeighbors | ( | const OctNode * | node,
|  | int | minDepth
| ) |  |

template<class NodeData , class Real >

void pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey3::set | ( | int | depth | ) |

Definition at line 1483 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::children, pcl::poisson::Cube::CornerIndex(), pcl::poisson::OctNode< NodeData, Real >::d, pcl::poisson::OctNode< NodeData, Real >::depth(), pcl::poisson::Cube::FactorCornerIndex(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey3::getNeighbors(), pcl::poisson::OctNode< NodeData, Real >::Neighbors3::neighbors, pcl::poisson::OctNode< NodeData, Real >::ConstNeighbors3::neighbors, and pcl::poisson::OctNode< NodeData, Real >::parent.

## Member Data Documentation

template<class NodeData, class Real = float>

ConstNeighbors3* pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey3::neighbors

Definition at line 225 of file octree_poisson.h.

Referenced by pcl::poisson::Octree< Degree >::GetMCIsoTriangles().

The documentation for this class was generated from the following files:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/octree_poisson.h
- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/octree_poisson.hpp